import java.io.*;
import java.net.*;
import java.util.*;

class ServerTest 
{
  public static void main(String[] args) 
  {
    byte[] transmitBuffer = new byte[5];
    
    int port, c = -1;
    InetAddress host;
    DatagramSocket socket = null;
    DatagramPacket packet;
        
    if (args.length != 1) {
      System.out.println("Usage: java ServerTest port");
      System.exit(1);
    }
    
    try { 
      port = Integer.parseInt(args[0]);
      socket = new DatagramSocket(port);
    } 
    catch (java.io.IOException exception) {
      System.err.println("Failed to create a datagram socket.");
      System.exit(1);
    }
    
    if (socket != null)
    {
      try 
      {
	packet = new DatagramPacket(transmitBuffer, transmitBuffer.length);
	System.out.print("Receiving datagram...");
	socket.receive(packet);
	byte[] received = packet.getData();
	System.out.println("received!");
	System.out.println();

	for (int i=0; i<received.length; i++)
	{
	  System.out.println("Position "+i+" : "+received[i]);
	}
	//byte [] recvBuf = transmitBuffer;	
	//socket.send(packet);

	socket.close();
      } 
      catch (IOException exception)
      {
	System.err.println("IOException:  " + exception);
	exception.printStackTrace();
      }
      System.exit(0);
    }
  }
}
